package com.capgemini.reports.users;

import com.teamcenter.soa.client.model.strong.Person;

import java.io.Serializable;

/**
 * Class representing a Person.
 */
public class SnecmaPerson implements Serializable {
    private static final long serialVersionUID = 4489416228194869431L;

    private final Person person;

    public SnecmaPerson(final Person person) {
        this.person = person;
    }

    public String getPersonName() {
        return person.get_user_name();
    }

    public String getCodeCourrier() {
        return person.get_PA8();
    }

    @Override
    public String toString() {
        return "Person " + (getPersonName() == null ? "(no name)" : getPersonName());
    }
}
